## qtwebsockets-opensource-src 5.15.2

=== tests/auto/cmake/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(qmake_cmake_files)

enable_testing()

find_package(Qt5Core REQUIRED)

include("${_Qt5CTestMacros}")

test_module_includes(
    WebSockets QWebSocket
)

## qtwebsockets-opensource-src 5.3.1

=== debian/changelog ===
qtwebsockets-opensource-src (5.3.1-1ubuntu1) utopic; urgency=medium

  [ Dmitry Shachnev ]
  * Initial upload to Ubuntu, based on Debian packaging git
    (LP: #1370927).
  * Build against Qt 5.3.0.
  * Set the version to 3.5.0 to prevent other packages from
    failing to build (because of a version mix).
  * Use correct exception syntax in debian/copyright.

  [ Timo Jyrinki ]
  * Add Qt Declarative build dependency and build the QML module

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 19 Sep 2014 17:16:02 +0400

qtwebsockets-opensource-src (5.3.1-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Initial release (closes: #697509).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 21 Jul 2014 19:17:10 -0300

=== debian/control ===
Source: qtwebsockets-opensource-src
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>
Build-Depends: debhelper (>= 9),
               pkg-kde-tools,
               qtbase5-private-dev (>= 5.3.0+dfsg~),
               qtdeclarative5-dev (>= 5.3.0~)
Build-Depends-Indep: libqt5sql5-sqlite (>= 5.3.0+dfsg~),
                     qtbase5-doc-html (>= 5.3.0~),
                     qttools5-dev-tools (>= 5.3.0~)
Standards-Version: 3.9.5
Homepage: https://qt-project.org/
Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtwebsockets.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtwebsockets.git

Package: libqt5websockets5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Web Sockets module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a Qt library that implements WebSockets, both
 client and server.

Package: libqt5websockets5-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt5websockets5 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
Description: Qt 5 Web Sockets module - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt applications
 using Qt 5 Web Sockets library.

Package: qml-module-qt-websockets
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt5websockets5, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Web Sockets QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Web Sockets QML module.

Package: qtwebsockets5-examples
Architecture: any
Multi-Arch: same
Section: doc
Pre-Depends: ${misc:Pre-Depends}
Depends: qml-module-qtquick2, qml-module-qt-websockets, ${misc:Depends}, ${shlibs:Depends}
Description: Examples for Qt 5 Web Sockets module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains examples for the Qt 5 Web Sockets library.

Package: qtwebsockets5-dbg
Priority: extra
Architecture: any
Multi-Arch: same
Section: debug
Depends: libqt5websockets5 (= ${binary:Version}), ${misc:Depends}
Description: Qt 5 Web Sockets library debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the Qt 5 Web Sockets
 library.

Package: qtwebsockets5-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 Web Sockets documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 5 Web Sockets
 library.

Package: qtwebsockets5-doc-html
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 Web Sockets HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 5 Web Sockets
 library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT := qt5

%:
	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qtwebsockets5-dbg

override_dh_auto_clean:
	dh_auto_clean
	rm -rfv doc lib mkspecs
	rm -fv include/QtWebSockets/QtWebSocketsDepends

override_dh_auto_configure:
	qmake QT_BUILD_PARTS+=tests

override_dh_auto_build-indep:
	dh_auto_build -Smakefile -- docs

override_dh_auto_install-arch:
	dh_auto_install

	# Remove private headers
	rm -rfv debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtWebSockets/*/QtWebSockets/private/
	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/modules/qt_lib_websockets_private.pri

	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/*/pkgconfig -type f -name '*.pc' \
	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;

	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

override_dh_auto_install-indep:
	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_install:
	dh_install --fail-missing

## qtwebsockets-opensource-src 5.3.2

=== debian/changelog ===
qtwebsockets-opensource-src (5.3.2-5) unstable; urgency=medium

  * Disable tests on kfreebsd-*, we now they are not right. See
    https://bugreports.qt-project.org/browse/QTBUG-41448 for more info.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 24 Sep 2014 00:31:13 -0300

qtwebsockets-opensource-src (5.3.2-4) unstable; urgency=medium

  * Fix some tests to work on kfreebsd. Thanks Adam Majer for the patch!

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 23 Sep 2014 15:17:48 -0300

qtwebsockets-opensource-src (5.3.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 23 Sep 2014 00:07:57 -0300

qtwebsockets-opensource-src (5.3.2-2) experimental; urgency=medium

  [ Timo Jyrinki ]
  * Add Qt Declarative build dependency and build the QML module

 -- Timo Jyrinki <timo@debian.org>  Fri, 19 Sep 2014 16:13:31 +0300

qtwebsockets-opensource-src (5.3.2-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Fix spaces in debian/copyright. Thanks Scott Kitterman for the hint!
  * New upstream release.
  * Bump Qt build dependencies.

  [ Dmitry Shachnev ]
  * Use correct exception syntax in debian/copyright.
  * Update my e-mail address.
  * Update Vcs-Browser field to point to cgit interface.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 18 Sep 2014 18:30:06 -0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qtwebsockets-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Sune Vuorela <debian@pusling.com>,
@@ -10,13 +9,13 @@
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9.0.0),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.3.0+dfsg~),
-               qtdeclarative5-dev (>= 5.3.0~)
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.3.0+dfsg~),
-                     qtbase5-doc-html (>= 5.3.0~),
-                     qttools5-dev-tools (>= 5.3.0~)
+               qtbase5-private-dev (>= 5.3.2+dfsg~),
+               qtdeclarative5-dev (>= 5.3.2~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.3.2+dfsg~),
+                     qtbase5-doc-html (>= 5.3.2~),
+                     qttools5-dev-tools (>= 5.3.2~)
 Standards-Version: 3.9.5
 Homepage: https://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtwebsockets.git

=== debian/rules ===
--- 
+++ 
@@ -38,6 +38,14 @@
 	# Remove libtool-like files
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 
+# Disable tests on kfreebsd-*, they are not right.
+# See https://bugreports.qt-project.org/browse/QTBUG-41448
+ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
+override_dh_auto_test:
+	echo "Tests disabled on kfreebsd, \
+	see https://bugreports.qt-project.org/browse/QTBUG-41448"
+endif
+
 override_dh_auto_install-indep:
 	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

=== debian/watch ===
version=3
http://download.qt-project.org/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtwebsockets-opensource-src-([^-]*)\.tar\.xz

## qtwebsockets-opensource-src 5.4.1

=== debian/changelog ===
qtwebsockets-opensource-src (5.4.1-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/copyright.
  * Bump Qt build-dependencies to 5.4.1.

 -- Timo Jyrinki <timo@debian.org>  Wed, 04 Mar 2015 14:02:24 +0000

qtwebsockets-opensource-src (5.4.0-2) experimental; urgency=medium

  * Add a patch from Helge Deller to fix failing test on some
    architectures (closes: #764893).
  * Update debian/watch for new server name.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 25 Jan 2015 10:36:57 +0300

qtwebsockets-opensource-src (5.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Update build-dependencies for Qt 5.4.0.
  * Update debian/copyright.
  * Disable fix_kfreebsd_test.patch, as we skip tests on kfreebsd
    anyway.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update qtwebsockets5-examples.install.
  * Update libqt5websockets5.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 27 Dec 2014 15:24:20 +0300

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9.0.0),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.3.2+dfsg~),
-               qtdeclarative5-dev (>= 5.3.2~)
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.3.2+dfsg~),
-                     qtbase5-doc-html (>= 5.3.2~),
-                     qttools5-dev-tools (>= 5.3.2~)
-Standards-Version: 3.9.5
+               qtbase5-private-dev (>= 5.4.1+dfsg~),
+               qtdeclarative5-dev (>= 5.4.1~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.4.1+dfsg~),
+                     qtbase5-doc-html (>= 5.4.1+dfsg~),
+                     qttools5-dev-tools (>= 5.4.1~)
+Standards-Version: 3.9.6
 Homepage: https://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtwebsockets.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtwebsockets.git

## qtwebsockets-opensource-src 5.4.2

=== debian/changelog ===
qtwebsockets-opensource-src (5.4.2-2build1) wily; urgency=medium

  * Rebuild for GCC5 transition.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 14 Jul 2015 09:40:52 +0300

qtwebsockets-opensource-src (5.4.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 24 Jun 2015 18:07:41 -0300

qtwebsockets-opensource-src (5.4.2-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Clear up the list in Uploaders removing people who hasn't committed to the
    repo in more than a year. They can re add themselves whenever they want
    (and we really hope to see you back really soon!).
  * Export HTML documentation.
  * Remove fix_qwebsocket_test.diff, applied upstream.
    - Remove empty debian/patches.
  * Update examples install file.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 03 Jun 2015 18:04:41 -0300

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,18 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>,
-           Modestas Vainius <modax@debian.org>,
-           Sune Vuorela <debian@pusling.com>,
+Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9.0.0),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.4.1+dfsg~),
-               qtdeclarative5-dev (>= 5.4.1~)
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.4.1+dfsg~),
-                     qtbase5-doc-html (>= 5.4.1+dfsg~),
-                     qttools5-dev-tools (>= 5.4.1~)
+               qtbase5-private-dev (>= 5.4.2+dfsg~),
+               qtdeclarative5-dev (>= 5.4.2~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.4.2+dfsg~),
+                     qtbase5-doc-html (>= 5.4.2+dfsg~),
+                     qttools5-dev-tools (>= 5.4.2~)
 Standards-Version: 3.9.6
 Homepage: https://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtwebsockets.git

## qtwebsockets-opensource-src 5.5.1

=== debian/changelog ===
qtwebsockets-opensource-src (5.5.1-4build1) xenial; urgency=medium

  * Rebuild against Qt 5.5.1.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 30 Nov 2015 14:29:01 +0200

qtwebsockets-opensource-src (5.5.1-4) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 21 Oct 2015 21:55:01 -0300

qtwebsockets-opensource-src (5.5.1-3) experimental; urgency=medium

  * Fix previous upload by adding the missing semicolon.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 19 Oct 2015 14:13:00 +0300

qtwebsockets-opensource-src (5.5.1-2) experimental; urgency=medium

  * Use QTRY_COMPARE in a couple of places to make the tests less flaky
    (qtry_compare.patch).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 19 Oct 2015 12:08:17 +0300

qtwebsockets-opensource-src (5.5.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.5.1.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 18 Oct 2015 20:51:44 +0300

qtwebsockets-opensource-src (5.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/copyright.
  * Bump Qt build-dependencies to 5.5.0.
  * Run the tests on kfreebsd, just ignore the tests result.
  * Do not run tests during arch-indep build.
  * Do not run QML tests, to avoid dependency on Xvfb
    (disable_qml_tests.patch; patch taken from Ubuntu).
  * Upstream has renamed Qt.WebSockets QML module to QtWebSockets
    (Qt.WebSockets still exists as a compatibility layer).
    - Add new qml-module-qtwebsockets binary package.
    - Move qml-module-qt-websockets to oldlibs section.
    - Make qml-module-qt-websockets depend on qml-module-qtwebsockets.
    - Update dependency of qtwebsockets5-examples package.
  * No-change wrap and sort.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 27 Aug 2015 15:36:52 +0300

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9.0.0),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.4.2+dfsg~),
-               qtdeclarative5-dev (>= 5.4.2~)
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.4.2+dfsg~),
-                     qtbase5-doc-html (>= 5.4.2+dfsg~),
-                     qttools5-dev-tools (>= 5.4.2~)
+               qtbase5-private-dev (>= 5.5.1+dfsg~),
+               qtdeclarative5-dev (>= 5.5.1~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.5.1+dfsg~),
+                     qtbase5-doc-html (>= 5.5.1+dfsg~),
+                     qttools5-dev-tools (>= 5.5.1~)
 Standards-Version: 3.9.6
 Homepage: https://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtwebsockets.git
@@ -43,23 +43,40 @@
  This package contains the development files needed to build Qt applications
  using Qt 5 Web Sockets library.
 
-Package: qml-module-qt-websockets
+Package: qml-module-qtwebsockets
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libqt5websockets5, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 Web Sockets QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains the Qt Web Sockets QML module.
 
+Package: qml-module-qt-websockets
+Architecture: any
+Multi-Arch: same
+Section: oldlibs
+Pre-Depends: ${misc:Pre-Depends}
+Depends: qml-module-qtwebsockets, ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 5 Web Sockets compatibility QML module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the compatibility Qt.WebSockets QML module. Do
+ not use it, use QtWebSockets module instead (in qml-module-qtwebsockets
+ package).
+
 Package: qtwebsockets5-examples
 Architecture: any
 Multi-Arch: same
 Section: doc
 Pre-Depends: ${misc:Pre-Depends}
-Depends: qml-module-qtquick2, qml-module-qt-websockets, ${misc:Depends}, ${shlibs:Depends}
+Depends: qml-module-qtquick2,
+         qml-module-qtwebsockets,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Examples for Qt 5 Web Sockets module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

=== debian/rules ===
--- 
+++ 
@@ -39,12 +39,14 @@
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 
 # Disable tests on kfreebsd-*, they are not right.
-# See https://bugreports.qt-project.org/browse/QTBUG-41448
+# See https://bugreports.qt.io/browse/QTBUG-41448
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
-override_dh_auto_test:
-	echo "Tests disabled on kfreebsd, \
-	see https://bugreports.qt-project.org/browse/QTBUG-41448"
+override_dh_auto_test-arch:
+	-dh_auto_test
 endif
+
+# Do not run tests during arch-indep build
+override_dh_auto_test-indep:
 
 override_dh_auto_install-indep:
 	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

=== debian/watch ===
version=3
https://download.qt.io/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtwebsockets-opensource-src-([^-]*)\.tar\.xz

## qtwebsockets-opensource-src 5.6.1

=== debian/changelog ===
qtwebsockets-opensource-src (5.6.1-2build1~1) yakkety; urgency=medium

  * Rebuild against Qt 5.6.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 20 Jul 2016 15:22:39 +0300

qtwebsockets-opensource-src (5.6.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 13 Jun 2016 11:19:54 -0300

qtwebsockets-opensource-src (5.6.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Simplify qtwebsockets5-examples.install, examples have all the same path.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 12 Jun 2016 17:44:20 -0300

qtwebsockets-opensource-src (5.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop qtry_compare.patch, applied upstream.
  * Bump Qt build-dependencies to 5.6.0.
  * Drop no longer needed hack to fix wrong path in pkgconfig files.
  * Use https for Vcs fields.
  * Update libqt5websockets5.symbols for 5.6.
  * Bump Standards-Version to 3.9.7, no changes needed.
  * Fix the order of entries in debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 23 Mar 2016 23:23:08 +0100

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,15 @@
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9.0.0),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.5.1+dfsg~),
-               qtdeclarative5-dev (>= 5.5.1~)
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.5.1+dfsg~),
-                     qtbase5-doc-html (>= 5.5.1+dfsg~),
-                     qttools5-dev-tools (>= 5.5.1~)
-Standards-Version: 3.9.6
+               qtbase5-private-dev (>= 5.6.1+dfsg~),
+               qtdeclarative5-dev (>= 5.6.1~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.6.1+dfsg~),
+                     qtbase5-doc-html (>= 5.6.1+dfsg~),
+                     qttools5-dev-tools (>= 5.6.1~)
+Standards-Version: 3.9.8
 Homepage: https://qt-project.org/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtwebsockets.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtwebsockets.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtwebsockets.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtwebsockets.git
 
 Package: libqt5websockets5
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -31,10 +31,6 @@
 	rm -rfv debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtWebSockets/*/QtWebSockets/private/
 	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/modules/qt_lib_websockets_private.pri
 
-	# Fix wrong path in pkgconfig files
-	find $(CURDIR)/debian/tmp/usr/lib/*/pkgconfig -type f -name '*.pc' \
-	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;
-
 	# Remove libtool-like files
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

## qtwebsockets-opensource-src 5.7.1~20161021

=== debian/changelog ===
qtwebsockets-opensource-src (5.7.1~20161021-4build1~1) zesty; urgency=medium

  * No change rebuild

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 03 Jan 2017 13:24:44 +0200

qtwebsockets-opensource-src (5.7.1~20161021-4) unstable; urgency=medium

  * Build depend upon libssl1.0-dev. Tests use libssl and when libssl1.1 is
    present they fail.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 04 Nov 2016 11:44:33 -0300

qtwebsockets-opensource-src (5.7.1~20161021-3) unstable; urgency=medium

  * Release to unstable.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Nov 2016 09:22:29 -0300

qtwebsockets-opensource-src (5.7.1~20161021-2) experimental; urgency=medium

  * Really release to experimental.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Oct 2016 19:44:08 -0300

qtwebsockets-opensource-src (5.7.1~20161021-1) unstable; urgency=medium

  * New upstream snapshot.
    - Bump Qt build dependencies.
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Oct 2016 18:26:42 -0300

qtwebsockets-opensource-src (5.7.0-1) experimental; urgency=medium

  [ Simon Quigley ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.7.0.
  * Update debian/copyright.
  * Add Qt_5.7 version tag to debian/libqt5websockets5.symbols.

  [ Dmitry Shachnev ]
  * Switch to automatic dbgsym packages.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 10 Sep 2016 06:43:43 -0500

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,18 @@
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
-           Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: debhelper (>= 9.0.0),
+           Dmitry Shachnev <mitya57@debian.org>,
+           Simon Quigley <tsimonq2@ubuntu.com>
+Build-Depends: debhelper (>= 9.20160114~),
+               libssl1.0-dev,
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.6.1+dfsg~),
-               qtdeclarative5-dev (>= 5.6.1~)
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.6.1+dfsg~),
-                     qtbase5-doc-html (>= 5.6.1+dfsg~),
-                     qttools5-dev-tools (>= 5.6.1~)
+               qtbase5-private-dev (>= 5.7.1~20161021+dfsg~),
+               qtdeclarative5-dev (>= 5.7.1~20161021~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.7.1~20161021+dfsg~),
+                     qtbase5-doc-html (>= 5.7.1~20161021+dfsg~),
+                     qttools5-dev-tools (>= 5.7.1~20161021~)
 Standards-Version: 3.9.8
-Homepage: https://qt-project.org/
+Homepage: https://qt.io/
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtwebsockets.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtwebsockets.git
 
@@ -59,7 +61,7 @@
 Multi-Arch: same
 Section: oldlibs
 Pre-Depends: ${misc:Pre-Depends}
-Depends: qml-module-qtwebsockets, ${misc:Depends}, ${shlibs:Depends}
+Depends: qml-module-qtwebsockets, ${misc:Depends}
 Description: Qt 5 Web Sockets compatibility QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -83,19 +85,6 @@
  .
  This package contains examples for the Qt 5 Web Sockets library.
 
-Package: qtwebsockets5-dbg
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Section: debug
-Depends: libqt5websockets5 (= ${binary:Version}), ${misc:Depends}
-Description: Qt 5 Web Sockets library debugging symbols
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the debugging symbols for the Qt 5 Web Sockets
- library.
-
 Package: qtwebsockets5-doc
 Architecture: all
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 export QT_SELECT := qt5
 
 %:
-	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qtwebsockets5-dbg
+	dh $@ --parallel --with pkgkde_symbolshelper
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -49,3 +49,6 @@
 
 override_dh_install:
 	dh_install --fail-missing
+
+override_dh_strip:
+	dh_strip --dbgsym-migration='qtwebsockets5-dbg (<< 5.7.0-1~)'

## qtwebsockets-opensource-src 5.9.1

=== debian/changelog ===
qtwebsockets-opensource-src (5.9.1-3) unstable; urgency=medium

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 16 Aug 2017 14:44:02 -0300

qtwebsockets-opensource-src (5.9.1-2) experimental; urgency=medium

  * Run the tests with --max-parallel=1 in hope it will reduce the
    number of test failures.
  * Temporarily ignore the tests results on armhf (not reproducible on
    porterbox) and mips (see #868745), to make the transition possible.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 18 Jul 2017 11:27:35 +0300

qtwebsockets-opensource-src (5.9.1-1) experimental; urgency=medium

  * New upstream patch release.
  * Bump Qt build-dependencies to 5.9.1.
  * Run QML tests during build, drop disable_qml_tests.patch.
  * Bump Standards-Version to 4.0.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 02 Jul 2017 17:23:04 +0300

qtwebsockets-opensource-src (5.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Build now needs private QML headers; install qtdeclarative5-private-dev
    accordingly.
  * Install the new QWebSocketProtocol file in the development headers.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 10 Jun 2017 11:39:41 -0500

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,17 @@
 Build-Depends: debhelper (>= 9.20160114~),
                libssl1.0-dev,
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.7.1~20161021+dfsg~),
-               qtdeclarative5-dev (>= 5.7.1~20161021~)
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.7.1~20161021+dfsg~),
-                     qtbase5-doc-html (>= 5.7.1~20161021+dfsg~),
-                     qttools5-dev-tools (>= 5.7.1~20161021~)
-Standards-Version: 3.9.8
+               qml-module-qtquick2,
+               qml-module-qttest,
+               qtbase5-private-dev (>= 5.9.1+dfsg~),
+               qtdeclarative5-dev (>= 5.9.1~),
+               qtdeclarative5-private-dev (>= 5.9.1~),
+               xauth,
+               xvfb
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.9.1+dfsg~),
+                     qtbase5-doc-html (>= 5.9.1+dfsg~),
+                     qttools5-dev-tools (>= 5.9.1~)
+Standards-Version: 4.0.0
 Homepage: https://qt.io/
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtwebsockets.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtwebsockets.git

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 #export DH_VERBOSE=1
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
@@ -15,7 +16,7 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -rfv doc lib mkspecs
+	rm -rfv doc lib mkspecs test_root
 	rm -fv include/QtWebSockets/QtWebSocketsDepends
 
 override_dh_auto_configure:
@@ -34,11 +35,19 @@
 	# Remove libtool-like files
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 
-# Disable tests on kfreebsd-*, they are not right.
-# See https://bugreports.qt.io/browse/QTBUG-41448
-ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
 override_dh_auto_test-arch:
-	-dh_auto_test
+	$(MAKE) install -Csrc/imports INSTALL_ROOT=$(CURDIR)/test_root
+# armhf: illegal instruction, not reproducible on porterbox. See also #860507.
+# mips: related to llvmpipe. Reported as #868745.
+# kfreebsd-*: see https://bugreports.qt.io/browse/QTBUG-41448
+ifneq (,$(filter $(DEB_HOST_ARCH),armhf mips kfreebsd-amd64 kfreebsd-i386))
+	-LD_LIBRARY_PATH=$(CURDIR)/lib QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml \
+		xvfb-run -a -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" \
+		dh_auto_test --max-parallel=1 -- -Ctests/auto
+else
+	LD_LIBRARY_PATH=$(CURDIR)/lib QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml \
+		xvfb-run -a -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" \
+		dh_auto_test --max-parallel=1 -- -Ctests/auto
 endif
 
 # Do not run tests during arch-indep build

## qtwebsockets-opensource-src 5.9.5

=== debian/changelog ===
qtwebsockets-opensource-src (5.9.5-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 12:47:03 -0500

qtwebsockets-opensource-src (5.9.4-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * Bump build dependencies to Qt 5.9.4.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 24 Feb 2018 12:19:34 -0600

qtwebsockets-opensource-src (5.9.3-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * Bump build dependencies to Qt 5.9.3.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 13 Dec 2017 21:47:49 -0600

qtwebsockets-opensource-src (5.9.2-3) unstable; urgency=medium

  * Make the tests results not fatal also on mips64el.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 28 Oct 2017 11:26:24 +0300

qtwebsockets-opensource-src (5.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 26 Oct 2017 16:54:18 +0300

qtwebsockets-opensource-src (5.9.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.9.2.
  * Use debhelper compat level 10 and dh_missing.
  * Bump Standards-Version to 4.1.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 15 Oct 2017 18:59:26 +0300

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,28 @@
 Source: qtwebsockets-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@ubuntu.com>
-Build-Depends: debhelper (>= 9.20160114~),
+Build-Depends: debhelper (>= 10.3),
                libssl1.0-dev,
                pkg-kde-tools,
                qml-module-qtquick2,
                qml-module-qttest,
-               qtbase5-private-dev (>= 5.9.1+dfsg~),
-               qtdeclarative5-dev (>= 5.9.1~),
-               qtdeclarative5-private-dev (>= 5.9.1~),
+               qtbase5-private-dev (>= 5.9.5+dfsg~),
+               qtdeclarative5-dev (>= 5.9.5~),
+               qtdeclarative5-private-dev (>= 5.9.5~),
                xauth,
                xvfb
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.9.1+dfsg~),
-                     qtbase5-doc-html (>= 5.9.1+dfsg~),
-                     qttools5-dev-tools (>= 5.9.1~)
-Standards-Version: 4.0.0
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.9.5+dfsg~),
+                     qtbase5-doc-html (>= 5.9.5+dfsg~),
+                     qttools5-dev-tools (>= 5.9.5~)
+Standards-Version: 4.1.1
 Homepage: https://qt.io/
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtwebsockets.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtwebsockets.git

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export QT_SELECT := qt5
 
 %:
-	dh $@ --parallel --with pkgkde_symbolshelper
+	dh $@ --with pkgkde_symbolshelper
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -39,8 +39,9 @@
 	$(MAKE) install -Csrc/imports INSTALL_ROOT=$(CURDIR)/test_root
 # armhf: illegal instruction, not reproducible on porterbox. See also #860507.
 # mips: related to llvmpipe. Reported as #868745.
+# mips64el: UNREACHABLE executed at .../llvm-toolchain-5.0-5.0/lib/ExecutionEngine/RuntimeDyld/Targets/RuntimeDyldELFMips.cpp:123!
 # kfreebsd-*: see https://bugreports.qt.io/browse/QTBUG-41448
-ifneq (,$(filter $(DEB_HOST_ARCH),armhf mips kfreebsd-amd64 kfreebsd-i386))
+ifneq (,$(filter $(DEB_HOST_ARCH),armhf mips mips64el kfreebsd-amd64 kfreebsd-i386))
 	-LD_LIBRARY_PATH=$(CURDIR)/lib QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml \
 		xvfb-run -a -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" \
 		dh_auto_test --max-parallel=1 -- -Ctests/auto
@@ -56,8 +57,8 @@
 override_dh_auto_install-indep:
 	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
 
-override_dh_install:
-	dh_install --fail-missing
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='qtwebsockets5-dbg (<< 5.7.0-1~)'

## qtwebsockets-opensource-src 5.11.1

=== debian/changelog ===
qtwebsockets-opensource-src (5.11.1-3) unstable; urgency=medium

  * Upload to Sid.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 25 Jul 2018 04:49:33 -0500

qtwebsockets-opensource-src (5.11.1-2) experimental; urgency=medium

  * Remove the dbgsym migration section of debian/rules; it isn't needed
    anymore.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 23 Jun 2018 20:11:35 -0500

qtwebsockets-opensource-src (5.11.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump build dependencies to 5.11.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 19 Jun 2018 18:43:45 -0500

qtwebsockets-opensource-src (5.11.0-1) experimental; urgency=medium

  * New upstream release
  * Bump Standards-version to 4.1.4, no changes needed.
  * Bump debhelper compat to 11, no changes needed.
  * Bump build dependencies to 5.11.0.
  * Update symbols from build logs.
  * Fix insecure-copyright-format-uri.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 18 Jun 2018 21:49:16 -0400

qtwebsockets-opensource-src (5.10.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Apr 2018 20:21:47 -0300

qtwebsockets-opensource-src (5.10.1-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch for the new upstream tarballs naming scheme.
  * Bump Qt build-dependencies to 5.10.1.
  * Update Vcs fields for migration to salsa.debian.org.
  * Drop not needed libssl1.0-dev build-dependency (closes: #859673).
  * Add Qt_5.10 version tag to debian/libqt5websockets5.symbols.
  * Add support for nodoc build profile.
  * Use dh_auto_configure provided by debhelper (closes: #883970).
  * Bump Standards-Version to 4.9.3, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 20 Feb 2018 17:48:13 +0300

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,28 @@
 Source: qtwebsockets-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@ubuntu.com>
-Build-Depends: debhelper (>= 10.3),
-               libssl1.0-dev,
+Build-Depends: debhelper (>= 11),
                pkg-kde-tools,
                qml-module-qtquick2,
-               qml-module-qttest,
-               qtbase5-private-dev (>= 5.9.5+dfsg~),
-               qtdeclarative5-dev (>= 5.9.5~),
-               qtdeclarative5-private-dev (>= 5.9.5~),
+               qml-module-qttest (>= 5.11.1~),
+               qtbase5-private-dev (>= 5.11.1+dfsg~),
+               qtdeclarative5-dev (>= 5.11.1~),
+               qtdeclarative5-private-dev (>= 5.11.1~),
                xauth,
                xvfb
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.9.5+dfsg~),
-                     qtbase5-doc-html (>= 5.9.5+dfsg~),
-                     qttools5-dev-tools (>= 5.9.5~)
-Standards-Version: 4.1.1
+Build-Depends-Indep: qtbase5-doc-html (>= 5.11.1+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.11.1~) <!nodoc>
+Standards-Version: 4.1.4
 Homepage: https://qt.io/
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtwebsockets.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtwebsockets.git
+Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebsockets.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebsockets
 
 Package: libqt5websockets5
 Architecture: any
@@ -92,6 +89,7 @@
  This package contains examples for the Qt 5 Web Sockets library.
 
 Package: qtwebsockets5-doc
+Build-Profiles: <!nodoc>
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
@@ -103,6 +101,7 @@
  library.
 
 Package: qtwebsockets5-doc-html
+Build-Profiles: <!nodoc>
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,6 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
-export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
-export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
 export QT_SELECT := qt5
 
 %:
@@ -20,7 +17,7 @@
 	rm -fv include/QtWebSockets/QtWebSocketsDepends
 
 override_dh_auto_configure:
-	qmake QT_BUILD_PARTS+=tests
+	dh_auto_configure -- QT_BUILD_PARTS+=tests
 
 override_dh_auto_build-indep:
 	dh_auto_build -Smakefile -- docs
@@ -59,6 +56,3 @@
 
 override_dh_missing:
 	dh_missing --fail-missing
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='qtwebsockets5-dbg (<< 5.7.0-1~)'

## qtwebsockets-opensource-src 5.11.3

=== debian/changelog ===
qtwebsockets-opensource-src (5.11.3-5) unstable; urgency=medium

  * Ignore test failure in mips64el to allow the Qt transition to continue.
    The code has not changed and built before without problems, so we suspect
    the issue must probably be somewhere else.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 28 Dec 2018 15:33:30 -0300

qtwebsockets-opensource-src (5.11.3-4) unstable; urgency=medium

  [ Simon Quigley ]
  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.
  * Bump Standards-version to 4.3.0, no changes needed.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Dec 2018 16:27:00 -0300

qtwebsockets-opensource-src (5.11.3-3) experimental; urgency=medium

  * Add skip_test_failing_on_chroots.patch. This test really fails on the
    buildds but not on a normal installation.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 09 Dec 2018 13:01:22 -0300

qtwebsockets-opensource-src (5.11.3-2) experimental; urgency=medium

  * Remove patches applied upstream. It seems my chroot is not configured as
    the buildds.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 09 Dec 2018 09:15:14 -0300

qtwebsockets-opensource-src (5.11.3-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Add might_not_have_connection.patch to expect a failure on a test, Debian
    buildds might not have an internet connection.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 09 Dec 2018 00:03:51 -0300

qtwebsockets-opensource-src (5.11.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 16 Oct 2018 17:15:01 +0300

qtwebsockets-opensource-src (5.11.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.11.2.
  * Update debian/copyright.
  * Make tests failures fatal on mips and mips64el. They pass currently.
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 23 Sep 2018 14:36:10 +0300

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,19 @@
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
-           Simon Quigley <tsimonq2@ubuntu.com>
+           Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper (>= 11),
                pkg-kde-tools,
                qml-module-qtquick2,
-               qml-module-qttest (>= 5.11.1~),
-               qtbase5-private-dev (>= 5.11.1+dfsg~),
-               qtdeclarative5-dev (>= 5.11.1~),
-               qtdeclarative5-private-dev (>= 5.11.1~),
+               qml-module-qttest (>= 5.11.3~),
+               qtbase5-private-dev (>= 5.11.3+dfsg~),
+               qtdeclarative5-dev (>= 5.11.3~),
+               qtdeclarative5-private-dev (>= 5.11.3~),
                xauth,
                xvfb
-Build-Depends-Indep: qtbase5-doc-html (>= 5.11.1+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.11.1~) <!nodoc>
-Standards-Version: 4.1.4
+Build-Depends-Indep: qtbase5-doc-html (>= 5.11.3+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.11.3~) <!nodoc>
+Standards-Version: 4.3.0
 Homepage: https://qt.io/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebsockets.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebsockets

=== debian/rules ===
--- 
+++ 
@@ -35,10 +35,10 @@
 override_dh_auto_test-arch:
 	$(MAKE) install -Csrc/imports INSTALL_ROOT=$(CURDIR)/test_root
 # armhf: illegal instruction, not reproducible on porterbox. See also #860507.
-# mips: related to llvmpipe. Reported as #868745.
-# mips64el: UNREACHABLE executed at .../llvm-toolchain-5.0-5.0/lib/ExecutionEngine/RuntimeDyld/Targets/RuntimeDyldELFMips.cpp:123!
+# mips64el: even if the code did not change from 5.11.2 (where it run fine) to
+# 5.11.3, a test is segfaulting. The issue might be somewhere else.
 # kfreebsd-*: see https://bugreports.qt.io/browse/QTBUG-41448
-ifneq (,$(filter $(DEB_HOST_ARCH),armhf mips mips64el kfreebsd-amd64 kfreebsd-i386))
+ifneq (,$(filter $(DEB_HOST_ARCH),armhf mips64el kfreebsd-amd64 kfreebsd-i386))
 	-LD_LIBRARY_PATH=$(CURDIR)/lib QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml \
 		xvfb-run -a -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" \
 		dh_auto_test --max-parallel=1 -- -Ctests/auto

## qtwebsockets-opensource-src 5.12.2

=== debian/changelog ===
qtwebsockets-opensource-src (5.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.2.
  * Update debian/libqt5websockets5.symbols from the current build log.
  * Drop skip_test_failing_on_chroots.patch, the issue was fixed upstream.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Mar 2019 14:39:31 +0300

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
 Build-Depends: debhelper (>= 11),
                pkg-kde-tools,
                qml-module-qtquick2,
-               qml-module-qttest (>= 5.11.3~),
-               qtbase5-private-dev (>= 5.11.3+dfsg~),
-               qtdeclarative5-dev (>= 5.11.3~),
-               qtdeclarative5-private-dev (>= 5.11.3~),
+               qml-module-qttest (>= 5.12.2~),
+               qtbase5-private-dev (>= 5.12.2+dfsg~),
+               qtdeclarative5-dev (>= 5.12.2~),
+               qtdeclarative5-private-dev (>= 5.12.2~),
                xauth,
                xvfb
-Build-Depends-Indep: qtbase5-doc-html (>= 5.11.3+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.11.3~) <!nodoc>
+Build-Depends-Indep: qtbase5-doc-html (>= 5.12.2+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.12.2~) <!nodoc>
 Standards-Version: 4.3.0
 Homepage: https://qt.io/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebsockets.git
